Subject: Re: linux-next: manual merge of the drm tree with the crypto tree

From: mark gross <[email-masked]>
Date: Tue, 15 Dec 2020 17:09:37 -0800

On Tue, Dec 15, 2020 at 10:58:52AM +0100, Geert Uytterhoeven wrote:
> On Mon, Dec 14, 2020 at 2:44 PM Stephen Rothwell <[email-masked]> wrote:
> > Today's linux-next merge of the drm tree got a conflict in:
> >
> >   MAINTAINERS
> >
> > between commit:
> >
> >   885743324513 ("crypto: keembay - Add support for Keem Bay OCS AES/SM4")
> >
> > from the crypto tree and commit:
> >
> >   ed794057b052 ("drm/kmb: Build files for KeemBay Display driver")
> >
> > from the drm tree.
> >
> > I fixed it up (see below) and can carry the fix as necessary. This
> > is now fixed as far as linux-next is concerned, but any non trivial
> > conflicts should be mentioned to your upstream maintainer when your tree
> > is submitted for merging.  You may also want to consider cooperating
> > with the maintainer of the conflicting tree to minimise any particularly
> > complex conflicts.
> >
> > --
> > Cheers,
> > Stephen Rothwell
> >
> > diff --cc MAINTAINERS
> > index 3b358262de8f,eb18459c1d16..000000000000
> > --- a/MAINTAINERS
> > +++ b/MAINTAINERS
> 
> > @@@ -8985,16 -8962,13 +8993,23 @@@ M:   Deepak Saxena <[email-masked]
> >   S:    Maintained
> >   F:    drivers/char/hw_random/ixp4xx-rng.c
> >
> > + INTEL KEEMBAY DRM DRIVER
> 
> Is it KEEMBAY?
> 
> > + M:    Anitha Chrisanthus <[email-masked]>
> > + M:    Edmund Dea <[email-masked]>
> > + S:    Maintained
> > + F:    Documentation/devicetree/bindings/display/intel,kmb_display.yaml
> 
> I was just going to comment about "intel,kmb_*" vs. "intel,keembay-*", until
> I noticed intel,kmb_display.yaml does not exist, but is called
> Documentation/devicetree/bindings/display/intel,keembay-display.yaml
> in next-20201214.
> 
> > + F:    drivers/gpu/drm/kmb/
> > +
> >  +INTEL KEEM BAY OCS AES/SM4 CRYPTO DRIVER
> 
> or KEEM BAY?
> 
> Or Keem Bay? Keembay? KeemBay?
It should be Keem Bay.  I googled sandybridge, ivybridge, baytrail,
cherrytrail, medfield and merrifiled and for the *bridge and *trail products
the words are split up and capitalized.  For the *fields they are one-word.

We'll update the KEEMBAY,KeemBay, KEEM BAY instances to Keem Bay to mimic SDB,
IVB, BYT and CHT since those are the majority. I'm not sure I'm going to rename
the file names however but, within the files wherever we talk about Keem Bay we
will use "Keem Bay" consistently.

Sorry for the variances,

--mark